# -*- coding: utf-8 -*-
from odoo import models

class MailChannel(models.AbstractModel):
    _inherit = 'discuss.channel'

    def _get_default_fcm_credentials(self):
            return {
                'fcm_api_key': '',
                'fcm_project_id': "186813708685",
            }

    def _fcm_send_notification(self, subscription_ids, payload, dbname, uid, fcm_api_key, attempt=1):
        super(MailChannel, self)._fcm_send_notification(
            subscription_ids, payload, dbname, uid,
            "AIzaSyAcEFhj0i52DM_wWcMjl3Hepa1Bx0poB70",  # ODO: do not store in a global constant!
            attempt=attempt)
